# API
```@docs
FeaInterfaces.refine
FeaInterfaces.l2_error
UnivariateSplines.Bspline
UnivariateSplines.BsplineBasis
UnivariateSplines.BsplineEvaluationCache
UnivariateSplines.GeneralizedGaussRule
UnivariateSplines.KnotSpanIndices
UnivariateSplines.KnotVector
UnivariateSplines.SplineSpace
UnivariateSplines.Support
UnivariateSplines.WeightedRule
UnivariateSplines.approximate_collocation_inverse 
UnivariateSplines.approximate_l2_inverse
UnivariateSplines.bezier_extraction_operator 
UnivariateSplines.bspline_integral_value
UnivariateSplines.bspline_interpolation_matrix
UnivariateSplines.bsplinebasisfuns
UnivariateSplines.ders_bspline_interpolation_matrix
UnivariateSplines.dersbsplinebasisfuns
UnivariateSplines.dimsplinespace
UnivariateSplines.distribute_points
UnivariateSplines.extraction_operator
UnivariateSplines.findspan
UnivariateSplines.grevillepoints
UnivariateSplines.h_refinement_operator!
UnivariateSplines.normalization_weights
UnivariateSplines.nquadpoints
UnivariateSplines.num_elements
UnivariateSplines.onebasisfuneval
UnivariateSplines.refinement_operator
UnivariateSplines.solve_leastnorm_without_constraints 
UnivariateSplines.table_required_points
UnivariateSplines.two_scale_operator
UnivariateSplines.unit_integral_rescaling
UnivariateSplines.wquadweights!
UnivariateSplines.SpanIndex
UnivariateSplines.ElementEvaluationIndices
UnivariateSplines.ElementBasisIndices
```